Subject: bug#47479: inkscape retains a reference to imagemagick, even though it is in native-inputs

From: Leo Famulari <[email-masked]>
Date: Tue, 30 Mar 2021 11:38:28 -0400

On Tue, Mar 30, 2021 at 04:55:13AM -0400, Mark H Weaver wrote:
> I see now that I'm using an older version, although I would have
> preferred the newer one.  I refer to the variable name 'inkscape' from
> my manifest file, and I expected that to point to the latest stable
> version.  However, it seems that one must use the 'inkscape-1.0'
> variable to get the latest stable version.  That's seems suboptimal.
> 
> I wonder if the 'inkscape' variable should be renamed 'inkscape/stable'
> (for use in packages such as 'dblatex/stable'), and then 'inkscape'
> could be repurposed to point to the latest stable version.  Thoughts?

I think we should do this, or even remove the old Inkscape package now.

I'm guessing the reason for keeping the older release series is that
the Inkscape save-file format changed?

By the way, there is a new upstream release of the old series available,
0.92.5.